<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://rewardManagementSignupApproveEdit.caption"
        focusComponent="form">
    <data>
        <instance id="rewardManagementDc"
                  class="com.company.management.entity.RewardManagement">
            <fetchPlan extends="_base">
                <property name="rewardType" fetchPlan="_base"/>
                <property name="uom" fetchPlan="_base"/>
                <property name="status" fetchPlan="_base"/>
                <property name="rewardCriteria" fetchPlan="_base">
                <property name="criteria" fetchPlan="_base"/>
                <property name="uom" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader/>
        </instance>
        <instance id="activityLogDc" class="com.company.management.entity.ActivityLog">
            <fetchPlan extends="_base">
                <property name="module" fetchPlan="_base"/>
                <property name="activity" fetchPlan="_base"/>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="activityLogDl">
                <query>
                    <![CDATA[select e from ActivityLog e
                    where e.refEntity = :refEntity1
                    and e.refData = :refData1]]>
                </query>
            </loader>
        </instance>
        <collection id="activityLogFilesDc" class="com.company.management.entity.ActivityLogFile">
            <fetchPlan extends="_base"/>
            <loader id="activityLogFilesDl">
                <query>
                    <![CDATA[select e from ActivityLogFile e
                    where e.activityLog = :activityLog1
                    and e.action.code = :actionCode1]]>
                </query>
            </loader>
        </collection>
        <collection id="activityLogFilesDc1" class="com.company.management.entity.ActivityLogFile">
            <fetchPlan extends="_base"/>
            <loader id="activityLogFilesDl1">
                <query>
                    <![CDATA[select e from ActivityLogFile e
                    where e.activityLog = :activityLog1
                    and e.action.code = :actionCode1]]>
                </query>
            </loader>
        </collection>
        <collection id="rewardCriteriasDc" class="com.company.management.entity.RewardCriteria">
            <fetchPlan extends="_base"/>
            <loader id="rewardCriteriasDl">
                <query>
                    <![CDATA[select e from RewardCriteria e
                    where e.reward = :reward1]]>
                </query>
            </loader>
        </collection>
        <collection id="rtTypesUomCretiriaDc" class="com.company.management.entity.RtType">
            <fetchPlan extends="_base"/>
            <loader id="rtTypesUomCretiriaDl">
                <query>
                    <![CDATA[select e from RtType e
                    where e.code = :code1
                    or e.code = :code2
                    or e.code = :code3
                    or e.code = :code5]]>
                </query>
            </loader>
        </collection>
        <collection id="rtTypesRadioDc" class="com.company.management.entity.RtType">
            <fetchPlan extends="_base"/>
            <loader id="rtTypesRadioDl">
                <query>
                    <![CDATA[select e from RtType e
                    where e.code = :code1
                    or e.code = :code2]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="rewardManagementDc">
                <column width="350px">
                    <textField id="campaignNameField" property="campaignName"
                               colspan="2"
                               width="100%" editable="false"/>
                    <dateField id="startDateField" property="startDate" editable="false"/>
                    <textField id="maxParticipantField" property="maxParticipant" editable="false"/>
                    <textField id="rewardAmountField" property="rewardAmount" editable="false"/>
                    <textField id="campaignCodeField" property="campaignCode" editable="false"/>
                </column>
                <column width="350px">
                    <dateField id="endDateField" property="endDate" editable="false"/>
                    <textField id="beneficiariesField" property="beneficiaries" editable="false"/>
                    <entityPicker id="uomField" property="uom" editable="false">
                    </entityPicker>
                    <textField id="methodField" property="method" editable="false"/>
                </column>
            </form>
            <groupTable id="rewardCriteriaTable" dataContainer="rewardCriteriasDc" editable="true">
                <columns>
                    <column id="active" editable="false"/>
                    <column id="criteria.name"/>
                    <column id="minValue" editable="false"/>
                    <column id="uom" editable="false"/>
                </columns>
            </groupTable>
                <label id="makerInputSection" value="msg://Maker's Input Section" stylename="bold h3"/>
                <textArea id="remarksRequestFieldId" visible="true" dataContainer="activityLogDc" property="requestRemarks" editable="false" caption="msg://Request's Remarks"/>
                <textField id="requestByFieldId" visible="true" dataContainer="activityLogDc" property="requestBy" editable="false" stylename="borderless" caption="msg://Request By:"/>
                <textField id="requestDateFieldId" visible="true" dataContainer="activityLogDc" property="requestDate" editable="false" stylename="borderless" caption="msg://Request Date:"/>
                <label id="uploadedDocuments" value="msg://Uploaded Document(s)" stylename="h4"/>
                <groupTable id="uploadedFileTable" dataContainer="activityLogFilesDc" width="100%"
                            columnHeaderVisible="false" sortable="false"
                            stylename="borderless">
                    <actions>
                    </actions>
                    <columns>
                        <column id="fileUploaded"/>
                    </columns>
                </groupTable>
                <label value="msg://Approver's Final Review and Approval" stylename="bold h3"/>
                <textArea id="remarksApproveFieldId" visible="true" dataContainer="activityLogDc" property="approveRemarks" editable="false" caption="msg://Approver's Remarks"/>
                <textField id="approveByFieldId" visible="true" dataContainer="activityLogDc" property="approveBy" editable="false" stylename="borderless" caption="msg://Approved By:"/>
                <textField id="approveDateFieldId" visible="true" dataContainer="activityLogDc" property="approveDate" editable="false" stylename="borderless" caption="msg://Approved Date:"/>
                <radioButtonGroup id="radioButtonApprover" optionsContainer="rtTypesRadioDc" orientation="horizontal" dataContainer="rewardManagementDc" property="status"
                                  editable="false" visible="false" required="true">
                </radioButtonGroup>
                <textArea id="remarksFieldId" dataContainer="activityLogDc" property="approveRemarks"
                      caption="Remarks (Optional)" editable="false" visible="false"/>
                <label id="uploadDocuments" value="msg://Upload Document(s)" stylename="h4"/>
                <fileMultiUpload id="fileUpload" permittedExtensions=".pdf" accept="*.pdf" fileSizeLimit="5000000"
                                 visible="false"/>
                <groupTable id="uploadFileTable" dataContainer="activityLogFilesDc1" width="100%"
                            columnHeaderVisible="false" sortable="false"
                            stylename="borderless">
                    <actions>
                        <action id="remove" type="remove" visible="false"/>
                    </actions>
                    <columns>
                        <column id="fileUpload"/>
                        <column id="deleteFileUpload" caption="Action"/>
                    </columns>
                </groupTable>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitBtn" caption="Save"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
